AWSTemplateFormatVersion: 2010-09-09
Resources:
  cachegroup1:
    Type: 'AWS::ElastiCache::SubnetGroup'
    Properties:
      CacheSubnetGroupName: cachegroup1
      Description: cachegroup1
      SubnetIds:
        - !Ref dbnet1id
        - !Ref dbnet2id
    Metadata:
      'AWS::CloudFormation::Designer':
        id: 486b56bc-dec0-4b7b-8eef-f551f8311495
  cachecluster1:
    Type: 'AWS::ElastiCache::ReplicationGroup'
    Properties:
      AutomaticFailoverEnabled: true
      AutoMinorVersionUpgrade: true
      AtRestEncryptionEnabled: true
      TransitEncryptionEnabled: true
      Engine: redis
      Port: '6379'
      CacheNodeType: cache.t2.micro
      NumNodeGroups: '1'
      ReplicasPerNodeGroup: '1'
      SecurityGroupIds:
        - !Ref dbgroupid
      CacheSubnetGroupName: !Ref cachegroup1
      ReplicationGroupDescription: Redis cluster
      Tags:
        - Key: Name
          Value:
            'Fn::Join':
              - ':'
              - - Cache
                - !Ref 'AWS::StackName'
    Metadata:
      'AWS::CloudFormation::Designer':
        id: 51592334-29be-446e-a1ee-df4f7a6d3c1d
Parameters:
  dbgroupid:
    Type: String
  dbnet1id:
    Type: String
  dbnet2id:
    Type: String